Page MenuHomePhabricator

Add Lea Voget (WMDE) & Bmueller to the WMDE LDAP group
Closed, ResolvedPublic

Description

LDAP User: Lea Voget (WMDE)
LDAP User: Bmueller

Current group listing @ https://tools.wmflabs.org/ldap/group/wmde

Both are listed on https://wikimedia.de/wiki/Mitarbeitende and have been employees for some time now.

Both will need to also sign an NDA

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 19 2018, 7:48 AM
herron triaged this task as Normal priority.Jul 19 2018, 3:19 PM
herron added a project: Operations.
herron added subscribers: RStallman-legalteam, herron.

Hi @RStallman-legalteam, could you please get the NDA ball rolling for these two users? Thanks in advance!

Will reach out to them individually to get the NDAs in place and circle back once those are signed and on file. Thanks!

NDAs for Lea Voget and Birgit Müller are signed and on file.

herron added a comment.Aug 3 2018, 8:58 PM

Bmueller has been added to ldap groups nda and wmde (see T199965), but I am not seeing the ldap account for Lea. What is their ldap username?

fgiunchedi added a subscriber: fgiunchedi.

@Lea_WMDE what's your LDAP username to be added to wmde group?

herron changed the task status from Open to Stalled.

I was able to find @Lea_WMDE's username by searching LDAP for the email address like so:

[mwmaint1001:~] $ ldapsearch -x mail=lea.voget@wikimedia.de

uid: lea-wmde

(some users start with wmde- , some end with -wmde, some don't have wmde at all, there is no consistency there)

Dzahn closed this task as Resolved.Aug 13 2018, 6:20 PM
Dzahn claimed this task.

done. Lea has been added to "wmde" as well.

Change 452450 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] admins: add Lea Voget to ldap admins (wmde,nde)

https://gerrit.wikimedia.org/r/452450

Change 452450 merged by Dzahn:
[operations/puppet@production] admins: add Lea Voget to ldap admins (wmde,nde)

https://gerrit.wikimedia.org/r/452450